This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 90850 - X cursor freezes occasionally
X cursor freezes occasionally
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-14 13:18 EDT by Need Real Name
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 01:06:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-05-14 13:18:24 EDT
Description of problem:
I'm using an IBM A20p laptop with a Logitech 3-button PS2 mouse.  I upgraded
from RH 7.2 to 9.0 and added the mouse (couldn't stand the laptop's built-in
pointing stick any more) at about the same time.  Now occasionally the mouse
cursor freezes, the buttons don't do anything, the mouse just stops working.
I have to kill the window system with ctrl-shift-backspace and restart it
to get the mouse to work again.  Of course this trashes all my processes 
connected to open windows etc., a big nuisance.  By "occasionally" I mean
sometimes after several days of having the window system running (I generally
leave the laptop online all the time).

Version-Release number of selected component (if applicable):


How reproducible:
Unfortunately I don't know a way to reproduce.  I thought it might be caused
by the ps/2 mouse getting unplugged from the computer, but that doesn't seem
to always be the case.  It just happens once in a while without warning.

Steps to Reproduce:
1. start X
2. use for a long time, like hours or days
3.
    
Actual results:
Mouse stops working

Expected results:
Mouse should keep working

Additional info:
Comment 1 Mike A. Harris 2003-05-20 04:41:50 EDT
Unfortunately, without having more to go on, we're likely not going to be
able to reproduce this type of problem.  The transient nature of requiring
days to reproduce, and only then randomly, makes it even more difficult.

If there is something that you can determine however that is a pattern of some
kind, or which could possibly provide additional clues, or if you can narrow
it down better to some kind of a test case, it might be possible to
investigate it in some way however.  Alternatively, it could turn out to
be the mouse getting unplugged as you suggested, or a bad cable, bad
power fluctuation, APM event weirdness, some kernel conflict issue.

It's hard to make an adequate assessment of what such a problem could be
caused by though without more info.

Feel free to attach your X server log and config file, and /var/log/messages
from during one of these problem lockups, and I'll look at them and see if
anything jumps out at me.

Thanks.
Comment 2 Need Real Name 2003-05-27 01:48:47 EDT
Yes, I understand that not much can be done about this without more data.  I
entered it anyway to have a way to track it if other people see the same thing.

I've had a couple more lockups and still am not absolutely certain that it's not
caused by the mouse connector, cable, etc.  I've found a way to unfreeze it
though: hit Ctl-Alt-F1 to switch the screen away from the window system, then
Ctl-Alt-F7 to switch back to the window system.  That allows getting control of
the cursor back without having to kill the window system and all the processes
running from it, which makes this problem less severe.

I think that unplugging the mouse and plugging it back in can freeze the cursor,
so it needs to be unfrozen as described above.  If the software can be made to
somehow recover automatically instead, that would be great.

Thanks
Comment 3 Mike A. Harris 2004-10-01 01:06:44 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

    http://fedora.redhat.com

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.